# Uses of Class
org.apache.lucene.analysis.compound.hyphenation.TernaryTree

Packages that use TernaryTree
Package
Description
org.apache.lucene.analysis.compound.hyphenation
Hyphenation code for the CompoundWordTokenFilter.

- ## Uses of TernaryTree in org.apache.lucene.analysis.compound.hyphenation

  Subclasses of TernaryTree in org.apache.lucene.analysis.compound.hyphenation
  Modifier and Type
  Class
  Description
  `class`
  `HyphenationTree`
  This tree structure stores the hyphenation patterns in an efficient way for fast lookup.
  Fields in org.apache.lucene.analysis.compound.hyphenation declared as TernaryTree
  Modifier and Type
  Field
  Description
  `protected TernaryTree`
  HyphenationTree.`classmap`
  This map stores the character classes
  Methods in org.apache.lucene.analysis.compound.hyphenation that return TernaryTree
  Modifier and Type
  Method
  Description
  `TernaryTree`
  TernaryTree.`clone()`